> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Asset Markets

> Retrieve markets data for a specific asset

## Overview

Get the current markets information for a specific asset. This endpoint returns just the markets data block with `asset_code` and `asset_slug` included.

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/assets/ethereum/markets"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/assets/ethereum/markets',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/assets/ethereum/markets',
    headers={'x-api-key': 'YOUR_API_KEY'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "volume_24h": 44573500000,
  "ath": 4946.05,
  "ath_change_percentage": -21.2222,
  "ath_date": 1756063263,
  "total_open_interest": 1707980000,
  "total_liquidations": 0,
  "updated_at": 1760639807,
  "asset_code": "ETH",
  "asset_slug": "ethereum"
}
```

### Response Fields

| Field                   | Type           | Description                                      |
| ----------------------- | -------------- | ------------------------------------------------ |
| `id`                    | number         | Unique market identifier                         |
| `volume_24h`            | number         | Trading volume in the last 24 hours              |
| `ath`                   | number         | All-time high price                              |
| `ath_change_percentage` | number         | Percentage change from all-time high             |
| `ath_date`              | number         | Unix timestamp when all-time high was reached    |
| `total_open_interest`   | number \| null | Total open interest                              |
| `total_liquidations`    | number \| null | Total liquidations                               |
| `updated_at`            | number         | Unix timestamp when market data was last updated |
| `asset_code`            | string         | Asset code (e.g., "ETH")                         |
| `asset_slug`            | string         | Asset slug (e.g., "ethereum")                    |

## Notes

* This endpoint is equivalent to using `?expand=markets` on the `/v1/assets/{idOrSlug}` endpoint, but returns only the markets data.
* The response includes `asset_code` and `asset_slug` for easy identification.

## See also

* [Get Single Asset](/api-reference/assets/get-single)
* [Markets (Expand Parameter)](/api-reference/assets/expand/markets)
* [All Assets](/api-reference/assets/list)


## OpenAPI

````yaml GET /v1/assets/{idOrSlug}/markets
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}/markets:
    get:
      tags:
        - assets
      summary: Get Asset Markets
      description: >-
        Get markets data for a single asset. Returns only the markets data with
        asset identifiers.
      operationId: AssetController_getMarkets_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Markets data for the specified asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetMarketWithIdentifiers'
              example:
                volume_24h: 44573500000
                ath: 4946.05
                ath_change_percentage: -21.2222
                ath_date: 1756063263
                total_open_interest: 1707980000
                total_liquidations: 0
                updated_at: 1760639807
                asset_code: ETH
                asset_slug: ethereum
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetMarketWithIdentifiers:
      type: object
      properties:
        id:
          type: integer
        volume_24h:
          type: number
          nullable: true
          format: float
        ath:
          type: number
          nullable: true
          format: float
        ath_change_percentage:
          type: number
          nullable: true
          format: float
        ath_date:
          type: number
          nullable: true
          description: Unix timestamp
        total_open_interest:
          type: number
          nullable: true
        total_liquidations:
          type: number
          nullable: true
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset_code:
          type: string
          maxLength: 20
        asset_slug:
          type: string
          maxLength: 100
      required:
        - id
        - volume_24h
        - ath
        - ath_change_percentage
        - ath_date
        - updated_at
        - asset_code
        - asset_slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````